import { OnInit, OnChanges, EventEmitter, SimpleChanges } from '@angular/core';
import { TestData, TestEngineFeatures, UserAttemptDetails } from '../../../shared/models/index';
import { QuizService } from '../../../shared/service/quiz.service';
import { ThemeService } from '../../../shared/service/theme.service';
export declare class QpFeaturesComponent implements OnInit, OnChanges {
    private quizService;
    themeService: ThemeService;
    selectedTheme: boolean;
    currentSize: number;
    nclex: boolean;
    testEngineFeatures: TestEngineFeatures;
    testData: TestData;
    bookmark: boolean;
    itemNotes: string;
    resetQPFeatures: boolean;
    userAttemptDetails: UserAttemptDetails;
    updatedBookMark: EventEmitter<any>;
    updatedNotesData: EventEmitter<any>;
    changedTextSize: EventEmitter<any>;
    changedTheme: EventEmitter<any>;
    updateBookMarkStatus: EventEmitter<any>;
    constructor(quizService: QuizService, themeService: ThemeService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    updatedBookMarkStatus(bookmark: any): void;
    updatedNotes(notesData: any): void;
    updatedTextSize(size: any): void;
    resetFeatures(value: any): void;
}
